itpp::Sink Class Reference

`#include <itpp/protocol/packet_generator.h>`

## Public Member Functions

| Sink (const unsigned long int Max_packets=1000)
| ADD DOCUMENTATION HERE.
| ~Sink ()
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< Sink, Packet * > | packet_input
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 153 of file packet_generator.h.

## Constructor & Destructor Documentation

## Sink()

itpp::Sink::Sink | ( | const unsigned long int | Max_packets = 1000 | ) |

ADD DOCUMENTATION HERE.

Definition at line 162 of file packet_generator.cpp.

References it_assert, itpp::Event_Queue::now(), and packet_input.

## ~Sink()

itpp::Sink::~Sink | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 172 of file packet_generator.cpp.

References itpp::Event_Queue::now().

## Member Data Documentation

## packet_input

Slot<Sink, Packet*> itpp::Sink::packet_input

ADD DOCUMENTATION HERE.

Definition at line 162 of file packet_generator.h.

Referenced by Sink().

The documentation for this class was generated from the following files:

- itpp/protocol/packet_generator.h
- itpp/protocol/packet_generator.cpp

Generated on for IT++ by Doxygen 1.15.0